# Form implementation generated from reading ui file 'src/eric7/Plugins/VcsPlugins/vcsMercurial/HgUserConfigDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_HgUserConfigDialog(object):
    def setupUi(self, HgUserConfigDialog):
        HgUserConfigDialog.setObjectName("HgUserConfigDialog")
        HgUserConfigDialog.resize(500, 550)
        HgUserConfigDialog.setSizeGripEnabled(True)
        self.verticalLayout_7 = QtWidgets.QVBoxLayout(HgUserConfigDialog)
        self.verticalLayout_7.setObjectName("verticalLayout_7")
        self.tabWidget = QtWidgets.QTabWidget(parent=HgUserConfigDialog)
        self.tabWidget.setObjectName("tabWidget")
        self.tab = QtWidgets.QWidget()
        self.tab.setObjectName("tab")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.tab)
        self.verticalLayout.setContentsMargins(6, 6, 6, 6)
        self.verticalLayout.setObjectName("verticalLayout")
        self.groupBox = QtWidgets.QGroupBox(parent=self.tab)
        self.groupBox.setObjectName("groupBox")
        self.gridLayout = QtWidgets.QGridLayout(self.groupBox)
        self.gridLayout.setObjectName("gridLayout")
        self.label = QtWidgets.QLabel(parent=self.groupBox)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 0, 0, 1, 1)
        self.userNameEdit = QtWidgets.QLineEdit(parent=self.groupBox)
        self.userNameEdit.setClearButtonEnabled(True)
        self.userNameEdit.setObjectName("userNameEdit")
        self.gridLayout.addWidget(self.userNameEdit, 0, 1, 1, 1)
        self.label_3 = QtWidgets.QLabel(parent=self.groupBox)
        self.label_3.setObjectName("label_3")
        self.gridLayout.addWidget(self.label_3, 1, 0, 1, 1)
        self.emailEdit = QtWidgets.QLineEdit(parent=self.groupBox)
        self.emailEdit.setClearButtonEnabled(True)
        self.emailEdit.setObjectName("emailEdit")
        self.gridLayout.addWidget(self.emailEdit, 1, 1, 1, 1)
        self.verticalLayout.addWidget(self.groupBox)
        spacerItem = QtWidgets.QSpacerItem(20, 239, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout.addItem(spacerItem)
        self.tabWidget.addTab(self.tab, "")
        self.tab_2 = QtWidgets.QWidget()
        self.tab_2.setObjectName("tab_2")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.tab_2)
        self.verticalLayout_2.setContentsMargins(6, 6, 6, 6)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.groupBox_2 = QtWidgets.QGroupBox(parent=self.tab_2)
        self.groupBox_2.setObjectName("groupBox_2")
        self.gridLayout_2 = QtWidgets.QGridLayout(self.groupBox_2)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.closeheadCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_2)
        self.closeheadCheckBox.setObjectName("closeheadCheckBox")
        self.gridLayout_2.addWidget(self.closeheadCheckBox, 0, 0, 1, 1)
        self.gpgCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_2)
        self.gpgCheckBox.setObjectName("gpgCheckBox")
        self.gridLayout_2.addWidget(self.gpgCheckBox, 0, 1, 1, 1)
        self.histeditCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_2)
        self.histeditCheckBox.setObjectName("histeditCheckBox")
        self.gridLayout_2.addWidget(self.histeditCheckBox, 1, 0, 1, 1)
        self.largefilesCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_2)
        self.largefilesCheckBox.setObjectName("largefilesCheckBox")
        self.gridLayout_2.addWidget(self.largefilesCheckBox, 1, 1, 1, 1)
        self.purgeCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_2)
        self.purgeCheckBox.setObjectName("purgeCheckBox")
        self.gridLayout_2.addWidget(self.purgeCheckBox, 2, 0, 1, 1)
        self.queuesCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_2)
        self.queuesCheckBox.setObjectName("queuesCheckBox")
        self.gridLayout_2.addWidget(self.queuesCheckBox, 2, 1, 1, 1)
        self.rebaseCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_2)
        self.rebaseCheckBox.setObjectName("rebaseCheckBox")
        self.gridLayout_2.addWidget(self.rebaseCheckBox, 3, 0, 1, 1)
        self.shelveCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_2)
        self.shelveCheckBox.setObjectName("shelveCheckBox")
        self.gridLayout_2.addWidget(self.shelveCheckBox, 3, 1, 1, 1)
        self.stripCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_2)
        self.stripCheckBox.setObjectName("stripCheckBox")
        self.gridLayout_2.addWidget(self.stripCheckBox, 4, 0, 1, 1)
        self.verticalLayout_2.addWidget(self.groupBox_2)
        self.largefilesGroup = QtWidgets.QGroupBox(parent=self.tab_2)
        self.largefilesGroup.setEnabled(False)
        self.largefilesGroup.setObjectName("largefilesGroup")
        self.gridLayout_3 = QtWidgets.QGridLayout(self.largefilesGroup)
        self.gridLayout_3.setObjectName("gridLayout_3")
        self.label_4 = QtWidgets.QLabel(parent=self.largefilesGroup)
        self.label_4.setObjectName("label_4")
        self.gridLayout_3.addWidget(self.label_4, 0, 0, 1, 1)
        self.lfFileSizeSpinBox = QtWidgets.QSpinBox(parent=self.largefilesGroup)
        self.lfFileSizeSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.lfFileSizeSpinBox.setMinimum(1)
        self.lfFileSizeSpinBox.setProperty("value", 10)
        self.lfFileSizeSpinBox.setObjectName("lfFileSizeSpinBox")
        self.gridLayout_3.addWidget(self.lfFileSizeSpinBox, 0, 1, 1, 1)
        spacerItem1 = QtWidgets.QSpacerItem(215, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout_3.addItem(spacerItem1, 0, 2, 1, 1)
        self.label_5 = QtWidgets.QLabel(parent=self.largefilesGroup)
        self.label_5.setObjectName("label_5")
        self.gridLayout_3.addWidget(self.label_5, 1, 0, 1, 1)
        self.lfFilePatternsEdit = QtWidgets.QLineEdit(parent=self.largefilesGroup)
        self.lfFilePatternsEdit.setClearButtonEnabled(True)
        self.lfFilePatternsEdit.setObjectName("lfFilePatternsEdit")
        self.gridLayout_3.addWidget(self.lfFilePatternsEdit, 1, 1, 1, 2)
        self.label_2 = QtWidgets.QLabel(parent=self.largefilesGroup)
        self.label_2.setObjectName("label_2")
        self.gridLayout_3.addWidget(self.label_2, 2, 0, 1, 1)
        self.lfUserCachePicker = EricPathPicker(parent=self.largefilesGroup)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.lfUserCachePicker.sizePolicy().hasHeightForWidth())
        self.lfUserCachePicker.setSizePolicy(sizePolicy)
        self.lfUserCachePicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.lfUserCachePicker.setObjectName("lfUserCachePicker")
        self.gridLayout_3.addWidget(self.lfUserCachePicker, 2, 1, 1, 2)
        self.verticalLayout_2.addWidget(self.largefilesGroup)
        spacerItem2 = QtWidgets.QSpacerItem(20, 39, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout_2.addItem(spacerItem2)
        self.tabWidget.addTab(self.tab_2, "")
        self.tab_3 = QtWidgets.QWidget()
        self.tab_3.setObjectName("tab_3")
        self.verticalLayout_3 = QtWidgets.QVBoxLayout(self.tab_3)
        self.verticalLayout_3.setContentsMargins(6, 6, 6, 6)
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.groupBox_3 = QtWidgets.QGroupBox(parent=self.tab_3)
        self.groupBox_3.setObjectName("groupBox_3")
        self.gridLayout_4 = QtWidgets.QGridLayout(self.groupBox_3)
        self.gridLayout_4.setObjectName("gridLayout_4")
        self.label_6 = QtWidgets.QLabel(parent=self.groupBox_3)
        self.label_6.setObjectName("label_6")
        self.gridLayout_4.addWidget(self.label_6, 0, 0, 1, 1)
        self.proxyHostEdit = QtWidgets.QLineEdit(parent=self.groupBox_3)
        self.proxyHostEdit.setClearButtonEnabled(True)
        self.proxyHostEdit.setObjectName("proxyHostEdit")
        self.gridLayout_4.addWidget(self.proxyHostEdit, 0, 1, 1, 1)
        self.label_7 = QtWidgets.QLabel(parent=self.groupBox_3)
        self.label_7.setObjectName("label_7")
        self.gridLayout_4.addWidget(self.label_7, 1, 0, 1, 1)
        self.proxyUserEdit = QtWidgets.QLineEdit(parent=self.groupBox_3)
        self.proxyUserEdit.setClearButtonEnabled(True)
        self.proxyUserEdit.setObjectName("proxyUserEdit")
        self.gridLayout_4.addWidget(self.proxyUserEdit, 1, 1, 1, 1)
        self.label_8 = QtWidgets.QLabel(parent=self.groupBox_3)
        self.label_8.setObjectName("label_8")
        self.gridLayout_4.addWidget(self.label_8, 2, 0, 1, 1)
        self.proxyPasswordEdit = QtWidgets.QLineEdit(parent=self.groupBox_3)
        self.proxyPasswordEdit.setEchoMode(QtWidgets.QLineEdit.EchoMode.Password)
        self.proxyPasswordEdit.setClearButtonEnabled(True)
        self.proxyPasswordEdit.setObjectName("proxyPasswordEdit")
        self.gridLayout_4.addWidget(self.proxyPasswordEdit, 2, 1, 1, 1)
        self.label_9 = QtWidgets.QLabel(parent=self.groupBox_3)
        self.label_9.setObjectName("label_9")
        self.gridLayout_4.addWidget(self.label_9, 3, 0, 1, 1)
        self.proxyBypassEdit = QtWidgets.QLineEdit(parent=self.groupBox_3)
        self.proxyBypassEdit.setText("")
        self.proxyBypassEdit.setClearButtonEnabled(True)
        self.proxyBypassEdit.setObjectName("proxyBypassEdit")
        self.gridLayout_4.addWidget(self.proxyBypassEdit, 3, 1, 1, 1)
        self.verticalLayout_3.addWidget(self.groupBox_3)
        spacerItem3 = QtWidgets.QSpacerItem(20, 242, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout_3.addItem(spacerItem3)
        self.tabWidget.addTab(self.tab_3, "")
        self.tab_4 = QtWidgets.QWidget()
        self.tab_4.setObjectName("tab_4")
        self.verticalLayout_6 = QtWidgets.QVBoxLayout(self.tab_4)
        self.verticalLayout_6.setContentsMargins(6, 6, 6, 6)
        self.verticalLayout_6.setObjectName("verticalLayout_6")
        self.groupBox_4 = QtWidgets.QGroupBox(parent=self.tab_4)
        self.groupBox_4.setObjectName("groupBox_4")
        self.horizontalLayout = QtWidgets.QHBoxLayout(self.groupBox_4)
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.fingerprintsList = QtWidgets.QTreeWidget(parent=self.groupBox_4)
        self.fingerprintsList.setAlternatingRowColors(True)
        self.fingerprintsList.setRootIsDecorated(False)
        self.fingerprintsList.setItemsExpandable(False)
        self.fingerprintsList.setObjectName("fingerprintsList")
        self.horizontalLayout.addWidget(self.fingerprintsList)
        self.verticalLayout_4 = QtWidgets.QVBoxLayout()
        self.verticalLayout_4.setObjectName("verticalLayout_4")
        self.fpAddButton = QtWidgets.QToolButton(parent=self.groupBox_4)
        self.fpAddButton.setObjectName("fpAddButton")
        self.verticalLayout_4.addWidget(self.fpAddButton)
        self.fpDeleteButton = QtWidgets.QToolButton(parent=self.groupBox_4)
        self.fpDeleteButton.setObjectName("fpDeleteButton")
        self.verticalLayout_4.addWidget(self.fpDeleteButton)
        self.fpEditButton = QtWidgets.QToolButton(parent=self.groupBox_4)
        self.fpEditButton.setObjectName("fpEditButton")
        self.verticalLayout_4.addWidget(self.fpEditButton)
        spacerItem4 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout_4.addItem(spacerItem4)
        self.horizontalLayout.addLayout(self.verticalLayout_4)
        self.verticalLayout_6.addWidget(self.groupBox_4)
        self.disableTls10WarningCheckBox = QtWidgets.QCheckBox(parent=self.tab_4)
        self.disableTls10WarningCheckBox.setObjectName("disableTls10WarningCheckBox")
        self.verticalLayout_6.addWidget(self.disableTls10WarningCheckBox)
        self.horizontalLayout_3 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
        self.label_10 = QtWidgets.QLabel(parent=self.tab_4)
        self.label_10.setObjectName("label_10")
        self.horizontalLayout_3.addWidget(self.label_10)
        self.minimumProtocolComboBox = QtWidgets.QComboBox(parent=self.tab_4)
        self.minimumProtocolComboBox.setObjectName("minimumProtocolComboBox")
        self.horizontalLayout_3.addWidget(self.minimumProtocolComboBox)
        spacerItem5 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_3.addItem(spacerItem5)
        self.verticalLayout_6.addLayout(self.horizontalLayout_3)
        self.minimumProtcolGroupBox = QtWidgets.QGroupBox(parent=self.tab_4)
        self.minimumProtcolGroupBox.setObjectName("minimumProtcolGroupBox")
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout(self.minimumProtcolGroupBox)
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.protocolsList = QtWidgets.QTreeWidget(parent=self.minimumProtcolGroupBox)
        self.protocolsList.setAlternatingRowColors(True)
        self.protocolsList.setRootIsDecorated(False)
        self.protocolsList.setItemsExpandable(False)
        self.protocolsList.setObjectName("protocolsList")
        self.horizontalLayout_2.addWidget(self.protocolsList)
        self.verticalLayout_5 = QtWidgets.QVBoxLayout()
        self.verticalLayout_5.setObjectName("verticalLayout_5")
        self.protocolAddButton = QtWidgets.QToolButton(parent=self.minimumProtcolGroupBox)
        self.protocolAddButton.setObjectName("protocolAddButton")
        self.verticalLayout_5.addWidget(self.protocolAddButton)
        self.protocolDeleteButton = QtWidgets.QToolButton(parent=self.minimumProtcolGroupBox)
        self.protocolDeleteButton.setObjectName("protocolDeleteButton")
        self.verticalLayout_5.addWidget(self.protocolDeleteButton)
        self.protocolEditButton = QtWidgets.QToolButton(parent=self.minimumProtcolGroupBox)
        self.protocolEditButton.setObjectName("protocolEditButton")
        self.verticalLayout_5.addWidget(self.protocolEditButton)
        spacerItem6 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout_5.addItem(spacerItem6)
        self.horizontalLayout_2.addLayout(self.verticalLayout_5)
        self.verticalLayout_6.addWidget(self.minimumProtcolGroupBox)
        self.tabWidget.addTab(self.tab_4, "")
        self.verticalLayout_7.addWidget(self.tabWidget)
        self.editorButton = QtWidgets.QPushButton(parent=HgUserConfigDialog)
        self.editorButton.setObjectName("editorButton")
        self.verticalLayout_7.addWidget(self.editorButton)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=HgUserConfigDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout_7.addWidget(self.buttonBox)

        self.retranslateUi(HgUserConfigDialog)
        self.tabWidget.setCurrentIndex(0)
        self.buttonBox.accepted.connect(HgUserConfigDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(HgUserConfigDialog.reject) # type: ignore
        self.largefilesCheckBox.toggled['bool'].connect(self.largefilesGroup.setEnabled) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(HgUserConfigDialog)
        HgUserConfigDialog.setTabOrder(self.tabWidget, self.userNameEdit)
        HgUserConfigDialog.setTabOrder(self.userNameEdit, self.emailEdit)
        HgUserConfigDialog.setTabOrder(self.emailEdit, self.closeheadCheckBox)
        HgUserConfigDialog.setTabOrder(self.closeheadCheckBox, self.lfFileSizeSpinBox)
        HgUserConfigDialog.setTabOrder(self.lfFileSizeSpinBox, self.lfFilePatternsEdit)
        HgUserConfigDialog.setTabOrder(self.lfFilePatternsEdit, self.lfUserCachePicker)
        HgUserConfigDialog.setTabOrder(self.lfUserCachePicker, self.proxyHostEdit)
        HgUserConfigDialog.setTabOrder(self.proxyHostEdit, self.proxyUserEdit)
        HgUserConfigDialog.setTabOrder(self.proxyUserEdit, self.proxyPasswordEdit)
        HgUserConfigDialog.setTabOrder(self.proxyPasswordEdit, self.proxyBypassEdit)
        HgUserConfigDialog.setTabOrder(self.proxyBypassEdit, self.fingerprintsList)
        HgUserConfigDialog.setTabOrder(self.fingerprintsList, self.fpAddButton)
        HgUserConfigDialog.setTabOrder(self.fpAddButton, self.fpDeleteButton)
        HgUserConfigDialog.setTabOrder(self.fpDeleteButton, self.fpEditButton)
        HgUserConfigDialog.setTabOrder(self.fpEditButton, self.disableTls10WarningCheckBox)
        HgUserConfigDialog.setTabOrder(self.disableTls10WarningCheckBox, self.minimumProtocolComboBox)
        HgUserConfigDialog.setTabOrder(self.minimumProtocolComboBox, self.protocolsList)
        HgUserConfigDialog.setTabOrder(self.protocolsList, self.protocolAddButton)
        HgUserConfigDialog.setTabOrder(self.protocolAddButton, self.protocolDeleteButton)
        HgUserConfigDialog.setTabOrder(self.protocolDeleteButton, self.protocolEditButton)
        HgUserConfigDialog.setTabOrder(self.protocolEditButton, self.editorButton)

    def retranslateUi(self, HgUserConfigDialog):
        _translate = QtCore.QCoreApplication.translate
        HgUserConfigDialog.setWindowTitle(_translate("HgUserConfigDialog", "Mercurial User Data"))
        self.groupBox.setTitle(_translate("HgUserConfigDialog", "User Data"))
        self.label.setText(_translate("HgUserConfigDialog", "Name:"))
        self.userNameEdit.setToolTip(_translate("HgUserConfigDialog", "Enter the user name"))
        self.userNameEdit.setPlaceholderText(_translate("HgUserConfigDialog", "Enter your name"))
        self.label_3.setText(_translate("HgUserConfigDialog", "Email:"))
        self.emailEdit.setToolTip(_translate("HgUserConfigDialog", "Enter the email address"))
        self.emailEdit.setPlaceholderText(_translate("HgUserConfigDialog", "Enter your email address"))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tab), _translate("HgUserConfigDialog", "User"))
        self.groupBox_2.setTitle(_translate("HgUserConfigDialog", "Extensions"))
        self.closeheadCheckBox.setToolTip(_translate("HgUserConfigDialog", "Select to activate the closehead extension"))
        self.closeheadCheckBox.setText(_translate("HgUserConfigDialog", "Close Head"))
        self.gpgCheckBox.setToolTip(_translate("HgUserConfigDialog", "Select to activate the GPG extension"))
        self.gpgCheckBox.setText(_translate("HgUserConfigDialog", "GPG"))
        self.histeditCheckBox.setToolTip(_translate("HgUserConfigDialog", "Select to activate the histedit extension"))
        self.histeditCheckBox.setText(_translate("HgUserConfigDialog", "Histedit"))
        self.largefilesCheckBox.setToolTip(_translate("HgUserConfigDialog", "Select to activate the largefiles extension"))
        self.largefilesCheckBox.setText(_translate("HgUserConfigDialog", "Large Files"))
        self.purgeCheckBox.setToolTip(_translate("HgUserConfigDialog", "Select to activate the Purge extension"))
        self.purgeCheckBox.setText(_translate("HgUserConfigDialog", "Purge"))
        self.queuesCheckBox.setToolTip(_translate("HgUserConfigDialog", "Select to activate the queues extension"))
        self.queuesCheckBox.setText(_translate("HgUserConfigDialog", "Queues"))
        self.rebaseCheckBox.setToolTip(_translate("HgUserConfigDialog", "Select to activate the rebase extension"))
        self.rebaseCheckBox.setText(_translate("HgUserConfigDialog", "Rebase"))
        self.shelveCheckBox.setToolTip(_translate("HgUserConfigDialog", "Select to activate the shelve extension"))
        self.shelveCheckBox.setText(_translate("HgUserConfigDialog", "Shelve"))
        self.stripCheckBox.setToolTip(_translate("HgUserConfigDialog", "Select to activate the strip extension"))
        self.stripCheckBox.setText(_translate("HgUserConfigDialog", "Strip"))
        self.largefilesGroup.setTitle(_translate("HgUserConfigDialog", "Large Files"))
        self.label_4.setText(_translate("HgUserConfigDialog", "Minimum file size:"))
        self.lfFileSizeSpinBox.setToolTip(_translate("HgUserConfigDialog", "Enter the minimum file size in MB for files to be treated as Large Files"))
        self.lfFileSizeSpinBox.setSuffix(_translate("HgUserConfigDialog", " MB"))
        self.label_5.setText(_translate("HgUserConfigDialog", "Patterns:"))
        self.lfFilePatternsEdit.setToolTip(_translate("HgUserConfigDialog", "Enter file patterns (space separated) for files to be treated as Large Files"))
        self.lfFilePatternsEdit.setPlaceholderText(_translate("HgUserConfigDialog", "Enter file patterns for large files"))
        self.label_2.setText(_translate("HgUserConfigDialog", "User Cache:"))
        self.lfUserCachePicker.setToolTip(_translate("HgUserConfigDialog", "Enter the name of the user cache directory"))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tab_2), _translate("HgUserConfigDialog", "Extensions"))
        self.groupBox_3.setTitle(_translate("HgUserConfigDialog", "Proxy"))
        self.label_6.setText(_translate("HgUserConfigDialog", "Host:"))
        self.proxyHostEdit.setToolTip(_translate("HgUserConfigDialog", "Enter the network proxy host name"))
        self.proxyHostEdit.setPlaceholderText(_translate("HgUserConfigDialog", "Enter Proxy Hostname"))
        self.label_7.setText(_translate("HgUserConfigDialog", "User:"))
        self.proxyUserEdit.setToolTip(_translate("HgUserConfigDialog", "Enter the user name for the network proxy"))
        self.proxyUserEdit.setPlaceholderText(_translate("HgUserConfigDialog", "Enter Proxy Username"))
        self.label_8.setText(_translate("HgUserConfigDialog", "Password:"))
        self.proxyPasswordEdit.setToolTip(_translate("HgUserConfigDialog", "Enter the password for the network proxy"))
        self.proxyPasswordEdit.setPlaceholderText(_translate("HgUserConfigDialog", "Enter Proxy Password"))
        self.label_9.setText(_translate("HgUserConfigDialog", "Bypass:"))
        self.proxyBypassEdit.setToolTip(_translate("HgUserConfigDialog", "Enter the names of hosts bypassing the network proxy sparated by comma"))
        self.proxyBypassEdit.setPlaceholderText(_translate("HgUserConfigDialog", "Enter hosts bypassing  the proxy separated by comma"))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tab_3), _translate("HgUserConfigDialog", "Network"))
        self.groupBox_4.setTitle(_translate("HgUserConfigDialog", "Host Fingerprints"))
        self.fingerprintsList.headerItem().setText(0, _translate("HgUserConfigDialog", "Host"))
        self.fingerprintsList.headerItem().setText(1, _translate("HgUserConfigDialog", "Fingerprint"))
        self.fpAddButton.setToolTip(_translate("HgUserConfigDialog", "Add a host fingerprint entry"))
        self.fpDeleteButton.setToolTip(_translate("HgUserConfigDialog", "Delete a host fingerprint entry"))
        self.fpEditButton.setToolTip(_translate("HgUserConfigDialog", "Edit a host fingerprint entry"))
        self.disableTls10WarningCheckBox.setText(_translate("HgUserConfigDialog", "Disable TLS 1.0 Warning"))
        self.label_10.setText(_translate("HgUserConfigDialog", "Minimum Protocol:"))
        self.minimumProtocolComboBox.setToolTip(_translate("HgUserConfigDialog", "Select the minimum protocol to use"))
        self.minimumProtcolGroupBox.setTitle(_translate("HgUserConfigDialog", "Minimum Protocol per Host"))
        self.protocolsList.headerItem().setText(0, _translate("HgUserConfigDialog", "Host"))
        self.protocolsList.headerItem().setText(1, _translate("HgUserConfigDialog", "Minimum Protocol"))
        self.protocolAddButton.setToolTip(_translate("HgUserConfigDialog", "Add a host minimum protocol entry"))
        self.protocolDeleteButton.setToolTip(_translate("HgUserConfigDialog", "Delete a host minimum protocol entry"))
        self.protocolEditButton.setToolTip(_translate("HgUserConfigDialog", "Edit a host minimum protocol entry"))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tab_4), _translate("HgUserConfigDialog", "Security"))
        self.editorButton.setToolTip(_translate("HgUserConfigDialog", "Open the user configuration file in a text editor"))
        self.editorButton.setText(_translate("HgUserConfigDialog", "Open configuration file in editor"))
from eric7.EricWidgets.EricPathPicker import EricPathPicker
